Subject: Bug#1054989: various tests: gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect

From: Nicholas D Steeves <[email-masked]>
Date: Sat, 28 Oct 2023 19:31:13 -0400

Package: devscripts
Version: 2.23.6
Severity: normal

Hi,

While creating a local bpo of devscripts 2.23.6 I noticed many
warnings like this:

  gpg: WARNING: "--secret-keyring" is an obsolete option - it has no effect

in the build log.  They are also visible on autobuilders

https://buildd.debian.org/status/fetch.php?pkg=devscripts&arch=all&ver=2.23.6&stamp=1692766249&raw=0
https://ci.debian.net/data/autopkgtest/unstable/amd64/d/devscripts/39069460/log.gz
etc.

From what I've read this might be an old gpg2 migration bug; although,
I seem to remember reading that it only affects >= gnupg 2.1.  Either
way, builds pass, it looks like we may have successfully released
bookworm despite this issue, and so maybe we can just drop this
argument (as well as the secret key identifier)?

$ ag secret-keyring
test/lib_test_uscan
89:        --secret-keyring "$PRIVATE_KEYRING" --default-key \

test/test_mk-origtargz
99:             --secret-keyring "$PRIVATE_KEYRING"

test/test_package_lifecycle
73:         --secret-keyring $PRIVATE_KEYRING --default-key 72543FAF \

test/test_uscan_ftp
184:        --secret-keyring $PRIVATE_KEYRING --default-key 72543FAF \
189:          --secret-keyring $PRIVATE_KEYRING --default-key 72543FAF \

test/test_uscan_mangle
211:                --secret-keyring $PRIVATE_KEYRING --default-key 72543FAF \
216:                --secret-keyring $PRIVATE_KEYRING --default-key 72543FAF \
221:                --secret-keyring $PRIVATE_KEYRING --default-key 72543FAF \

Does someone see a better solution, or would you like me to take care
of deleting "--secret-keyring $PRIVATE_KEYRING"?  Alternatively, is
there someone whose is taking care of gnupg2 migration issues?  This
is the second bug I found, and I wonder if I should be CCing someone.
No, I don't want to make gnupg2 migration a project of mine ;)

Regards,
Nicholas